#include <algorithm> 

#include "string.hpp"

Blang::string::string(): std::string(){

}

Blang::string::string(const std::string& str):std::string(str){

}

Blang::string::string (const char* s):std::string(s){

}

Blang::string Blang::string::ltrim(){
	Blang::string str = Blang::string(*this);
	str.erase(str.begin(), std::find_if(str.begin(), str.end(), not1(std::ptr_fun<int, int>(std::isspace))));
    return str;
}

Blang::string Blang::string::rtrim(){
	Blang::string str = Blang::string(*this);
    str.erase(std::find_if(str.rbegin(), str.rend(), not1(std::ptr_fun<int, int>(std::isspace))).base(), str.end());
    return str;
}

Blang::string Blang::string::trim(){
	return ltrim().rtrim();
}